# Uses of Class
org.opensaml.security.x509.tls.CertificateNameOptions

Packages that use CertificateNameOptions
Package
Description
org.opensaml.security.messaging.impl
Message handler implementations.
org.opensaml.security.x509.tls
TLS security functionality.
org.opensaml.security.x509.tls.impl
Implementation classes for client TLS security.

## Uses of CertificateNameOptions in org.opensaml.security.messaging.impl

Fields in org.opensaml.security.messaging.impl declared as CertificateNameOptions
Modifier and Type
Field
Description
`private CertificateNameOptions`
BaseClientCertAuthSecurityHandler.`certNameOptions`
Options for deriving client cert presenter entity ID's from an X.509 certificate.
Methods in org.opensaml.security.messaging.impl that return CertificateNameOptions
Modifier and Type
Method
Description
`protected CertificateNameOptions`
BaseClientCertAuthSecurityHandler.`getCertificateNameOptions()`
Get the certificate name options in use.

## Uses of CertificateNameOptions in org.opensaml.security.x509.tls

Fields in org.opensaml.security.x509.tls declared as CertificateNameOptions
Modifier and Type
Field
Description
`private CertificateNameOptions`
ClientTLSValidationParameters.`certificateNameOptions`
A `CertificateNameOptions` instance used to validate a client TLS `X509Credential`.
Methods in org.opensaml.security.x509.tls that return CertificateNameOptions
Modifier and Type
Method
Description
`CertificateNameOptions`
CertificateNameOptions.`clone()`
`CertificateNameOptions`
ClientTLSValidationConfiguration.`getCertificateNameOptions()`
Get a `CertificateNameOptions` instance to use when evaluating a client TLS `X509Credential`.
`CertificateNameOptions`
ClientTLSValidationParameters.`getCertificateNameOptions()`
Get a `CertificateNameOptions` instance to use when evaluating a client TLS `X509Credential`.
Methods in org.opensaml.security.x509.tls with parameters of type CertificateNameOptions
Modifier and Type
Method
Description
`ClientTLSValidationParameters`
ClientTLSValidationParameters.`setCertificateNameOptions(CertificateNameOptions options)`
Set a `CertificateNameOptions` instance to use when evaluating a client TLS `X509Credential`.

## Uses of CertificateNameOptions in org.opensaml.security.x509.tls.impl

Fields in org.opensaml.security.x509.tls.impl declared as CertificateNameOptions
Modifier and Type
Field
Description
`private CertificateNameOptions`
BasicClientTLSValidationConfiguration.`certificateNameOptions`
A `CertificateNameOptions` instance used to validate a client TLS `X509Credential`.
Methods in org.opensaml.security.x509.tls.impl that return CertificateNameOptions
Modifier and Type
Method
Description
`CertificateNameOptions`
BasicClientTLSValidationConfiguration.`getCertificateNameOptions()`
Get a `CertificateNameOptions` instance to use when evaluating a client TLS `X509Credential`.
`protected CertificateNameOptions`
BasicClientTLSValidationParametersResolver.`resolveNameOptions(CriteriaSet criteria)`
Resolve and return the effective `CertificateNameOptions`.
Methods in org.opensaml.security.x509.tls.impl with parameters of type CertificateNameOptions
Modifier and Type
Method
Description
`BasicClientTLSValidationConfiguration`
BasicClientTLSValidationConfiguration.`setCertificateNameOptions(CertificateNameOptions options)`
Set a `CertificateNameOptions` instance to use when evaluating a client TLS `X509Credential`.